<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>AMC13: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">AMC13
   </div>
   <div id="projectbrief">Firmwares for the different applications of the AMC13 uTCA board made at Boston University</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classSLINK__opt__XGMII.html">SLINK_opt_XGMII</a></li><li class="navelem"><a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classSLINK__opt__XGMII_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:afaf0f7745ad4225a1b37610016c8c629"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afaf0f7745ad4225a1b37610016c8c629"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#afaf0f7745ad4225a1b37610016c8c629">PROCESS_116</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">LINKDown_s</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">SYS_CLK</span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a408292971b15a17f98dbd377c06afa42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a408292971b15a17f98dbd377c06afa42"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a408292971b15a17f98dbd377c06afa42">fed_itf</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classfed__itf.html">&lt;Entity fed_itf&gt; </a></em></td></tr>
<tr class="memitem:ab9f8e104ea938573956cbd9019153956"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab9f8e104ea938573956cbd9019153956"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ab9f8e104ea938573956cbd9019153956">Core_logic</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCore__logic.html">&lt;Entity Core_logic&gt; </a></em></td></tr>
<tr class="memitem:aecc77d7b2fbd99183bb80cad310ce8f1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aecc77d7b2fbd99183bb80cad310ce8f1"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aecc77d7b2fbd99183bb80cad310ce8f1">build_pckt_s_XGMII</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classbuild__pckt__s__XGMII.html">&lt;Entity build_pckt_s_XGMII&gt; </a></em></td></tr>
<tr class="memitem:a23d817b197a9d2496e582ac2ad549917"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a23d817b197a9d2496e582ac2ad549917"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a23d817b197a9d2496e582ac2ad549917">xaui_wd_align</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classxaui__wd__align.html">&lt;Entity xaui_wd_align&gt; </a></em></td></tr>
<tr class="memitem:a3986ee8640095399d47b817755faa7c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3986ee8640095399d47b817755faa7c6"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a3986ee8640095399d47b817755faa7c6">rcv_pckt_s_XGMII</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classrcv__pckt__s__XGMII.html">&lt;Entity rcv_pckt_s_XGMII&gt; </a></em></td></tr>
<tr class="memitem:a54d9bbd467bf2f94ffa374022fe88f7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a54d9bbd467bf2f94ffa374022fe88f7b"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a54d9bbd467bf2f94ffa374022fe88f7b">reset_resync</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:addf7ed04ab14846a45cb12ae82defc3e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="addf7ed04ab14846a45cb12ae82defc3e"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#addf7ed04ab14846a45cb12ae82defc3e">data_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a348f45ae7ad25200ef39e7a8384739c2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a348f45ae7ad25200ef39e7a8384739c2"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a348f45ae7ad25200ef39e7a8384739c2">ena_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95c9e357840dc9f240deaa114fbf0e3a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95c9e357840dc9f240deaa114fbf0e3a"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a95c9e357840dc9f240deaa114fbf0e3a">sta_dt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a244938c79db4f4d58acef992682601be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a244938c79db4f4d58acef992682601be"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a244938c79db4f4d58acef992682601be">ena_ack</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4385c4490204fc1c38c472ada0af6ad0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4385c4490204fc1c38c472ada0af6ad0"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a4385c4490204fc1c38c472ada0af6ad0">seqnb_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6dc42c60a7074a130a0576bfb14b893"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6dc42c60a7074a130a0576bfb14b893"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa6dc42c60a7074a130a0576bfb14b893">idle_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae68b1014984d78d8291e9045261e1741"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae68b1014984d78d8291e9045261e1741"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ae68b1014984d78d8291e9045261e1741">end_snd_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9395445d7af4da00d9372046fb8d4c9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9395445d7af4da00d9372046fb8d4c9b"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a9395445d7af4da00d9372046fb8d4c9b">rd_dt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afffb08a3ecd7513c81e398ddd0d6de70"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afffb08a3ecd7513c81e398ddd0d6de70"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#afffb08a3ecd7513c81e398ddd0d6de70">cmd_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afdb014627ede3be82ebe468ccc8294d2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afdb014627ede3be82ebe468ccc8294d2"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#afdb014627ede3be82ebe468ccc8294d2">cmd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8bf53717dbbefdd0a987d5a70549eddc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8bf53717dbbefdd0a987d5a70549eddc"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a8bf53717dbbefdd0a987d5a70549eddc">len_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a154181218bb270e940a67cd1d6cff14a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a154181218bb270e940a67cd1d6cff14a"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a154181218bb270e940a67cd1d6cff14a">Seq_nb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">30</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa63ab7f21cc4068097dd88594c618517"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa63ab7f21cc4068097dd88594c618517"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa63ab7f21cc4068097dd88594c618517">card_ID_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb4586d92e1bd9ded9fe27266363b0c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb4586d92e1bd9ded9fe27266363b0c4"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#adb4586d92e1bd9ded9fe27266363b0c4">card_ID_snd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97a910b7bb72beba72b5355eaaf3e3e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97a910b7bb72beba72b5355eaaf3e3e1"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a97a910b7bb72beba72b5355eaaf3e3e1">read_bck</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7189e124529b0e501943be490c49ae60"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7189e124529b0e501943be490c49ae60"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a7189e124529b0e501943be490c49ae60">data_evt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa8955a9de04c83d472dd048a8fe96c51"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa8955a9de04c83d472dd048a8fe96c51"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa8955a9de04c83d472dd048a8fe96c51">data_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6ab30743f14c47f28ea2f8b162cdc9b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6ab30743f14c47f28ea2f8b162cdc9b8"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a6ab30743f14c47f28ea2f8b162cdc9b8">ack_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adeafacb9ee3672dfdeeeaa3f108fbc3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adeafacb9ee3672dfdeeeaa3f108fbc3b"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#adeafacb9ee3672dfdeeeaa3f108fbc3b">init_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa7e5807f2f9653a88223a26ae39d8ebe"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa7e5807f2f9653a88223a26ae39d8ebe"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa7e5807f2f9653a88223a26ae39d8ebe">start_pckt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a80667e4936b03be9706c1429d221d276"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a80667e4936b03be9706c1429d221d276"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a80667e4936b03be9706c1429d221d276">end_blk_fed</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a31bd578e5f0cfabf6bd8bcd69b09434f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31bd578e5f0cfabf6bd8bcd69b09434f"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a31bd578e5f0cfabf6bd8bcd69b09434f">stop_evt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af67901badc476ad806fe2b597e3195f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af67901badc476ad806fe2b597e3195f9"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#af67901badc476ad806fe2b597e3195f9">start_evt</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac738c389503c0b3c48d334025a92721"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac738c389503c0b3c48d334025a92721"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aac738c389503c0b3c48d334025a92721">wr_ena</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9633ca5c2cf379091e4663ed9e1436a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9633ca5c2cf379091e4663ed9e1436a"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa9633ca5c2cf379091e4663ed9e1436a">block_sz_fed</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2d2ffba3b4cd9c72dc8f94e7cde2f756"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2d2ffba3b4cd9c72dc8f94e7cde2f756"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a2d2ffba3b4cd9c72dc8f94e7cde2f756">data_fed</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a963cc7c257d41bf69ea7718dcc4415ae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a963cc7c257d41bf69ea7718dcc4415ae"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a963cc7c257d41bf69ea7718dcc4415ae">block_free</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa9b19996ffebaab2af83196594f26d97"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa9b19996ffebaab2af83196594f26d97"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa9b19996ffebaab2af83196594f26d97">wr_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a878b6c3a34886eb213669ba6b3f5b74a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a878b6c3a34886eb213669ba6b3f5b74a"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a878b6c3a34886eb213669ba6b3f5b74a">func</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6cf37a5a98fef5cb1b257ae7e0f510b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6cf37a5a98fef5cb1b257ae7e0f510b"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa6cf37a5a98fef5cb1b257ae7e0f510b">data_wr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa29187dd4abe074a017ad47b244e8ce2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa29187dd4abe074a017ad47b244e8ce2"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa29187dd4abe074a017ad47b244e8ce2">data_rd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7a5a4f724374c1558b23d157b6963307"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a5a4f724374c1558b23d157b6963307"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a7a5a4f724374c1558b23d157b6963307">cnt_pckt_rcv</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad5e56ef46579ad634eb37175c6e076c6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5e56ef46579ad634eb37175c6e076c6"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ad5e56ef46579ad634eb37175c6e076c6">cnt_pckt_snd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5d5613b10b848b5c7cacc8d3d7b47ece"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5d5613b10b848b5c7cacc8d3d7b47ece"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a5d5613b10b848b5c7cacc8d3d7b47ece">status_state_build_p</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2e333365908165bd8210130470fc3953"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e333365908165bd8210130470fc3953"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a2e333365908165bd8210130470fc3953">status_state_core</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac45c45cc29fa9a8b5b8c3d4f8dfb0408"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac45c45cc29fa9a8b5b8c3d4f8dfb0408"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ac45c45cc29fa9a8b5b8c3d4f8dfb0408">DATAo_unswapped</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3a8a6f0ff5e9c78e57c68a2d428faaad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3a8a6f0ff5e9c78e57c68a2d428faaad"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a3a8a6f0ff5e9c78e57c68a2d428faaad">CTRLo_unswapped</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a84630ed17015a65520fd90ff0c6b8c08"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a84630ed17015a65520fd90ff0c6b8c08"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a84630ed17015a65520fd90ff0c6b8c08">DATAi_unswapped</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8adcf67a9f3b76c5789bfad16f26212e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8adcf67a9f3b76c5789bfad16f26212e"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a8adcf67a9f3b76c5789bfad16f26212e">CTRLi_unswapped</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af70444ad80fdd882804b334fcfb3f1aa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af70444ad80fdd882804b334fcfb3f1aa"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#af70444ad80fdd882804b334fcfb3f1aa">req_reset_resync</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f60d638da138614f40e70b6d3731347"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f60d638da138614f40e70b6d3731347"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a5f60d638da138614f40e70b6d3731347">retransmit</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0d991b1cbb569462f6553a156f0794e8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d991b1cbb569462f6553a156f0794e8"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a0d991b1cbb569462f6553a156f0794e8">reg_datai</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59fff9032e0290c10b92c920786a8328"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59fff9032e0290c10b92c920786a8328"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a59fff9032e0290c10b92c920786a8328">req_uctrli</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ff9f92bdb5a177204d7eedf94f352bc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ff9f92bdb5a177204d7eedf94f352bc"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a4ff9f92bdb5a177204d7eedf94f352bc">req_weni</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09adef6e10a434262a37065fb3fa8adf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09adef6e10a434262a37065fb3fa8adf"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a09adef6e10a434262a37065fb3fa8adf">G_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94d07700ee00beb0164d7ef2d6a6d306"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94d07700ee00beb0164d7ef2d6a6d306"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a94d07700ee00beb0164d7ef2d6a6d306">GRst_sysckl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa511f088e61c08e0fb2eda59550c1eb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa511f088e61c08e0fb2eda59550c1eb8"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aa511f088e61c08e0fb2eda59550c1eb8">GRst_T_ckl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a32968a91032914ece925b636c3738c5c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32968a91032914ece925b636c3738c5c"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a32968a91032914ece925b636c3738c5c">GRst_R_ckl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4be7bd6b765bdf398ac162fc89f5aea8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4be7bd6b765bdf398ac162fc89f5aea8"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a4be7bd6b765bdf398ac162fc89f5aea8">Rst_sysckl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac924b5dc3699311727b83f117e1c0e0a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac924b5dc3699311727b83f117e1c0e0a"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ac924b5dc3699311727b83f117e1c0e0a">Rst_T_ckl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae52523e75aa64206abf3af0ee02534d3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae52523e75aa64206abf3af0ee02534d3"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ae52523e75aa64206abf3af0ee02534d3">Rst_R_ckl</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aceb90ea041747403b8aec9606ba41058"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aceb90ea041747403b8aec9606ba41058"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#aceb90ea041747403b8aec9606ba41058">LINKDown_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac3c751d8f24b1df6982a9feb4ed4b7dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac3c751d8f24b1df6982a9feb4ed4b7dd"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ac3c751d8f24b1df6982a9feb4ed4b7dd">datai_aligned</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3b4409959f6542925e39412f66625ef0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b4409959f6542925e39412f66625ef0"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a3b4409959f6542925e39412f66625ef0">k_byte_aligned</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a87cb5edfb6eb8e6cbf4c5967a7fb2e38"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87cb5edfb6eb8e6cbf4c5967a7fb2e38"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a87cb5edfb6eb8e6cbf4c5967a7fb2e38">Rst_sysckl_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:abd146ee4c57da04146609739bdaf15a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abd146ee4c57da04146609739bdaf15a3"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#abd146ee4c57da04146609739bdaf15a3">Rst_T_ckl_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a7c3e10e4f02ddaeb71327245fd9403fb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7c3e10e4f02ddaeb71327245fd9403fb"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a7c3e10e4f02ddaeb71327245fd9403fb">Rst_R_ckl_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a2e307e0dd38c467beca6c05aa1d40b33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2e307e0dd38c467beca6c05aa1d40b33"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a2e307e0dd38c467beca6c05aa1d40b33">GRst_sysckl_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:ac78fd8db9e8b2d181fbc0d65d3e744ec"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac78fd8db9e8b2d181fbc0d65d3e744ec"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ac78fd8db9e8b2d181fbc0d65d3e744ec">GRst_T_ckl_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:a1d15679d4886add77d3a75b108be70f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d15679d4886add77d3a75b108be70f2"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a1d15679d4886add77d3a75b108be70f2">GRst_R_ckl_i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>reset_resync</b>  <em><a class="el" href="classreset__resync.html">&lt;Entity reset_resync&gt;</a></em></td></tr>
<tr class="memitem:ac6ef61fb0fec52abd81fd71388742cc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6ef61fb0fec52abd81fd71388742cc0"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#ac6ef61fb0fec52abd81fd71388742cc0">i1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>fed_itf</b>  <em><a class="el" href="classfed__itf.html">&lt;Entity fed_itf&gt;</a></em></td></tr>
<tr class="memitem:a2fce890a7c411f1fe7c0c55ec9eb4106"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2fce890a7c411f1fe7c0c55ec9eb4106"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a2fce890a7c411f1fe7c0c55ec9eb4106">i2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>Core_logic</b>  <em><a class="el" href="classCore__logic.html">&lt;Entity Core_logic&gt;</a></em></td></tr>
<tr class="memitem:abc662ad7939244d9dc80a99f233212bf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abc662ad7939244d9dc80a99f233212bf"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#abc662ad7939244d9dc80a99f233212bf">i3</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>build_pckt_s_XGMII</b>  <em><a class="el" href="classbuild__pckt__s__XGMII.html">&lt;Entity build_pckt_s_XGMII&gt;</a></em></td></tr>
<tr class="memitem:a12ca08b63dcc7017b61fb55af545a622"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a12ca08b63dcc7017b61fb55af545a622"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a12ca08b63dcc7017b61fb55af545a622">i0</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>xaui_wd_align</b>  <em><a class="el" href="classxaui__wd__align.html">&lt;Entity xaui_wd_align&gt;</a></em></td></tr>
<tr class="memitem:a608e2266a7f74d5814905a52df1fc084"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a608e2266a7f74d5814905a52df1fc084"></a>
<a class="el" href="classSLINK__opt__XGMII_1_1behavioral.html#a608e2266a7f74d5814905a52df1fc084">i4</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>rcv_pckt_s_XGMII</b>  <em><a class="el" href="classrcv__pckt__s__XGMII.html">&lt;Entity rcv_pckt_s_XGMII&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="10Gb_2slink_2slink__opt_8vhd_source.html#l00050">50</a> of file <a class="el" href="10Gb_2slink_2slink__opt_8vhd_source.html">slink_opt.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/work/dan/AMC13/amc13-fw/src/CMS_DAQ_if/10Gb/slink/<a class="el" href="10Gb_2slink_2slink__opt_8vhd_source.html">slink_opt.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Sep 8 2021 11:22:44 for AMC13 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
